## class StringListNode : public Node

> A node that has an extra list of strings.

## Inheritance:

### Public Classes

  enum | StringErrorType

### Public Methods

  | StringListNode (Graph *g)
  | StringListNode (const StringListNode &s)
  virtual | ~StringListNode ()
  virtual StringListNode::StringErrorType | SetString ( const string *s, unsigned n, bool update)
  const string* | GetString (unsigned n)
  unsigned | NrStrings ()
  const string* | GetStringListLabel ()
  const string* | GetStringLabel ()
  void | SetStringListLabel (const string *s)
  void | SetStringListLabel (const char *s)
  void | SetStringLabel (const string *s)
  void | SetStringLabel (const char *s)
  bool | HasString (const string *s)
  void | WriteMembers (OutputFile *f)
  bool | ReadMembers (InputFile *f, double format)

### Protected Methods

  List <string *> * | GetStringList ()

### Inherited from Node:

### Public Methods

bool IsEdge() const
bool InGraph() const
const string* GetIndex() const
virtual Subject::NameErrType SetIndex(const string *s)
void GetParentIndex(string *pindex)

### Inherited from Subject:

### Public Classes

enum NameErrType

### Public Methods

virtual Subject* Clone()
bool IsSubject() const
const string* GetName() const
virtual NameErrType SetName(const string *s)
bool SetReferences(AssocList *)
bool CheckReferences()
void SetParent(Node *p)
Node* GetParent() const
void SetAnnotation(string *s)
const string* GetAnnotation() const
Graph* GetGraph() const

### Inherited from Thing:

### Public Classes

enum AssocType

### Public Methods

unsigned long GetId()
void SetId(unsigned long val)
virtual bool IsShape() const
virtual bool IsView() const
virtual int GetClassType() const
void Write(OutputFile *ofile)

## Documentation

> A node that has an extra list of strings.

`StringListNode(Graph *g)`

`StringListNode(const StringListNode &s)`

`virtual ~StringListNode()`

`enum StringErrorType`

`virtual StringListNode::StringErrorType SetString( const string *s, unsigned n, bool update)`

`const string* GetString(unsigned n)`

`unsigned NrStrings()`

`const string* GetStringListLabel()`

`const string* GetStringLabel()`

`void SetStringListLabel(const string *s)`

`void SetStringListLabel(const char *s)`

`void SetStringLabel(const string *s)`

`void SetStringLabel(const char *s)`

`bool HasString(const string *s)`

`void WriteMembers(OutputFile *f)`

`bool ReadMembers(InputFile *f, double format)`

`List <string *> * GetStringList()`

Direct child classes:
  StringListNode2
  SSDObjectNode

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de